std::pointer_to_binary_function< _Arg1, _Arg2, _Result > Class Template Reference
Utilities » Function Objects » Adaptors for pointers to functions

`#include <stl_function.h>`

Inheritance diagram for std::pointer_to_binary_function< _Arg1, _Arg2, _Result >:
[legend]

## Public Types

typedef _Arg1 | first_argument_type
typedef _Result | result_type
typedef _Arg2 | second_argument_type

## Public Member Functions

| pointer_to_binary_function (_Result(*__x)(_Arg1, _Arg2))
_Result | operator() (_Arg1 __x, _Arg2 __y) const

## Protected Attributes

_Result(* | _M_ptr )(_Arg1, _Arg2)

## Detailed Description

template<typename _Arg1, typename _Arg2, typename _Result>
class std::pointer_to_binary_function< _Arg1, _Arg2, _Result >

One of the adaptors for function pointers.

Definition at line 1131 of file stl_function.h.

## Member Typedef Documentation

## first_argument_type

template<typename _Arg1, typename _Arg2, typename _Result>

typedef _Arg1 std::binary_function< _Arg1, _Arg2, _Result >::first_argument_type

inherited

`first_argument_type` is the type of the first argument

Definition at line 134 of file stl_function.h.

## result_type

template<typename _Arg1, typename _Arg2, typename _Result>

typedef _Result std::binary_function< _Arg1, _Arg2, _Result >::result_type

inherited

`result_type` is the return type

Definition at line 140 of file stl_function.h.

## second_argument_type

template<typename _Arg1, typename _Arg2, typename _Result>

typedef _Arg2 std::binary_function< _Arg1, _Arg2, _Result >::second_argument_type

inherited

`second_argument_type` is the type of the second argument

Definition at line 137 of file stl_function.h.

## Constructor & Destructor Documentation

## pointer_to_binary_function() [1/2]

template<typename _Arg1, typename _Arg2, typename _Result>

std::pointer_to_binary_function< _Arg1, _Arg2, _Result >::pointer_to_binary_function | ( |  | ) |

inline

Definition at line 1138 of file stl_function.h.

## pointer_to_binary_function() [2/2]

template<typename _Arg1, typename _Arg2, typename _Result>

std::pointer_to_binary_function< _Arg1, _Arg2, _Result >::pointer_to_binary_function | ( | _Result(* | __x )(_Arg1, _Arg2) | ) |

inline explicit

Definition at line 1141 of file stl_function.h.

## Member Function Documentation

## operator()()

template<typename _Arg1, typename _Arg2, typename _Result>

_Result std::pointer_to_binary_function< _Arg1, _Arg2, _Result >::operator() | ( | _Arg1 | __x,
|  | _Arg2 | __y ) const

inline

Definition at line 1145 of file stl_function.h.

## Member Data Documentation

## _M_ptr

template<typename _Arg1, typename _Arg2, typename _Result>

_Result(* std::pointer_to_binary_function< _Arg1, _Arg2, _Result >::_M_ptr) (_Arg1, _Arg2)

protected

Definition at line 1135 of file stl_function.h.

The documentation for this class was generated from the following file:

- stl_function.h